gnome-mag: GNOME_Magnifier-skels.c File Reference

# GNOME_Magnifier-skels.c File Reference

`#include <string.h>`
`#include "GNOME_Magnifier.h"`

Go to the source code of this file.

## Defines
#define | ORBIT2_STUBS_API
## Functions
static ORBitSmallSkeleton | get_skel_small_Bonobo_Listener (POA_Bonobo_Listener *servant, const char *opname, gpointer *m_data, gpointer *impl)
void | POA_Bonobo_Listener__init (PortableServer_Servant servant, CORBA_Environment *env)
void | POA_Bonobo_Listener__fini (PortableServer_Servant servant, CORBA_Environment *env)
static ORBitSmallSkeleton | get_skel_small_Bonobo_EventSource (POA_Bonobo_EventSource *servant, const char *opname, gpointer *m_data, gpointer *impl)
void | POA_Bonobo_EventSource__init (PortableServer_Servant servant, CORBA_Environment *env)
void | POA_Bonobo_EventSource__fini (PortableServer_Servant servant, CORBA_Environment *env)
static ORBitSmallSkeleton | get_skel_small_Bonobo_PropertyBag (POA_Bonobo_PropertyBag *servant, const char *opname, gpointer *m_data, gpointer *impl)
void | POA_Bonobo_PropertyBag__init (PortableServer_Servant servant, CORBA_Environment *env)
void | POA_Bonobo_PropertyBag__fini (PortableServer_Servant servant, CORBA_Environment *env)
static ORBitSmallSkeleton | get_skel_small_Bonobo_ConfigDatabase (POA_Bonobo_ConfigDatabase *servant, const char *opname, gpointer *m_data, gpointer *impl)
void | POA_Bonobo_ConfigDatabase__init (PortableServer_Servant servant, CORBA_Environment *env)
void | POA_Bonobo_ConfigDatabase__fini (PortableServer_Servant servant, CORBA_Environment *env)
static ORBitSmallSkeleton | get_skel_small_GNOME_Magnifier_ZoomRegion (POA_GNOME_Magnifier_ZoomRegion *servant, const char *opname, gpointer *m_data, gpointer *impl)
void | POA_GNOME_Magnifier_ZoomRegion__init (PortableServer_Servant servant, CORBA_Environment *env)
void | POA_GNOME_Magnifier_ZoomRegion__fini (PortableServer_Servant servant, CORBA_Environment *env)
static ORBitSmallSkeleton | get_skel_small_GNOME_Magnifier_Magnifier (POA_GNOME_Magnifier_Magnifier *servant, const char *opname, gpointer *m_data, gpointer *impl)
void | POA_GNOME_Magnifier_Magnifier__init (PortableServer_Servant servant, CORBA_Environment *env)
void | POA_GNOME_Magnifier_Magnifier__fini (PortableServer_Servant servant, CORBA_Environment *env)

## Define Documentation

#define ORBIT2_STUBS_API

Definition at line 6 of file GNOME_Magnifier-skels.c.

## Function Documentation

static ORBitSmallSkeleton get_skel_small_Bonobo_Listener | ( | POA_Bonobo_Listener * | servant,
|  | const char * | opname,
|  | gpointer * | m_data,
|  | gpointer * | impl |
| ) |  |  | `[static]`

Definition at line 9 of file GNOME_Magnifier-skels.c.

References _ORBIT_skel_small_Bonobo_Listener_event(), Bonobo_Listener__iinterface, POA_Bonobo_Listener__vepv::Bonobo_Listener_epv, POA_Bonobo_Listener__vepv::Bonobo_Unknown_epv, POA_Bonobo_Listener__epv::event, and POA_Bonobo_Listener::vepv.

Referenced by POA_Bonobo_Listener__init().

void POA_Bonobo_Listener__init | ( | PortableServer_Servant | servant,
|  | CORBA_Environment * | env |
| ) |  |  |

Definition at line 118 of file GNOME_Magnifier-skels.c.

References Bonobo_Listener__classid, Bonobo_Listener__iinterface, get_skel_small_Bonobo_Listener(), and POA_Bonobo_Listener__fini().

void POA_Bonobo_Listener__fini | ( | PortableServer_Servant | servant,
|  | CORBA_Environment * | env |
| ) |  |  |

Definition at line 131 of file GNOME_Magnifier-skels.c.

Referenced by POA_Bonobo_Listener__init().

static ORBitSmallSkeleton get_skel_small_Bonobo_EventSource | ( | POA_Bonobo_EventSource * | servant,
|  | const char * | opname,
|  | gpointer * | m_data,
|  | gpointer * | impl |
| ) |  |  | `[static]`

Definition at line 138 of file GNOME_Magnifier-skels.c.

References _ORBIT_skel_small_Bonobo_EventSource_addListener(), _ORBIT_skel_small_Bonobo_EventSource_addListenerWithMask(), POA_Bonobo_EventSource__epv::addListener, POA_Bonobo_EventSource__epv::addListenerWithMask, Bonobo_EventSource__iinterface, POA_Bonobo_EventSource__vepv::Bonobo_EventSource_epv, and POA_Bonobo_EventSource::vepv.

Referenced by POA_Bonobo_EventSource__init().

void POA_Bonobo_EventSource__init | ( | PortableServer_Servant | servant,
|  | CORBA_Environment * | env |
| ) |  |  |

Definition at line 323 of file GNOME_Magnifier-skels.c.

References Bonobo_EventSource__classid, Bonobo_EventSource__iinterface, get_skel_small_Bonobo_EventSource(), and POA_Bonobo_EventSource__fini().

void POA_Bonobo_EventSource__fini | ( | PortableServer_Servant | servant,
|  | CORBA_Environment * | env |
| ) |  |  |

Definition at line 336 of file GNOME_Magnifier-skels.c.

Referenced by POA_Bonobo_EventSource__init().

static ORBitSmallSkeleton get_skel_small_Bonobo_PropertyBag | ( | POA_Bonobo_PropertyBag * | servant,
|  | const char * | opname,
|  | gpointer * | m_data,
|  | gpointer * | impl |
| ) |  |  | `[static]`

Definition at line 343 of file GNOME_Magnifier-skels.c.

References _ORBIT_skel_small_Bonobo_PropertyBag_getDefault(), _ORBIT_skel_small_Bonobo_PropertyBag_getDoc(), _ORBIT_skel_small_Bonobo_PropertyBag_getDocTitle(), _ORBIT_skel_small_Bonobo_PropertyBag_getFlags(), Bonobo_PropertyBag__iinterface, POA_Bonobo_PropertyBag__vepv::Bonobo_PropertyBag_epv, POA_Bonobo_PropertyBag__epv::getDefault, POA_Bonobo_PropertyBag__epv::getDoc, POA_Bonobo_PropertyBag__epv::getDocTitle, POA_Bonobo_PropertyBag__epv::getFlags, POA_Bonobo_PropertyBag__epv::getKeys, and POA_Bonobo_PropertyBag::vepv.

Referenced by POA_Bonobo_PropertyBag__init().

void POA_Bonobo_PropertyBag__init | ( | PortableServer_Servant | servant,
|  | CORBA_Environment * | env |
| ) |  |  |

Definition at line 611 of file GNOME_Magnifier-skels.c.

References Bonobo_PropertyBag__classid, Bonobo_PropertyBag__iinterface, get_skel_small_Bonobo_PropertyBag(), and POA_Bonobo_PropertyBag__fini().

Referenced by POA_Bonobo_ConfigDatabase__init().

void POA_Bonobo_PropertyBag__fini | ( | PortableServer_Servant | servant,
|  | CORBA_Environment * | env |
| ) |  |  |

Definition at line 624 of file GNOME_Magnifier-skels.c.

Referenced by POA_Bonobo_ConfigDatabase__fini(), and POA_Bonobo_PropertyBag__init().

static ORBitSmallSkeleton get_skel_small_Bonobo_ConfigDatabase | ( | POA_Bonobo_ConfigDatabase * | servant,
|  | const char * | opname,
|  | gpointer * | m_data,
|  | gpointer * | impl |
| ) |  |  | `[static]`

Definition at line 631 of file GNOME_Magnifier-skels.c.

References POA_Bonobo_ConfigDatabase__epv::_get_isWriteable, _ORBIT_skel_small_Bonobo_ConfigDatabase__get_isWriteable(), POA_Bonobo_ConfigDatabase__epv::addDatabase, Bonobo_ConfigDatabase__iinterface, POA_Bonobo_ConfigDatabase__vepv::Bonobo_ConfigDatabase_epv, and POA_Bonobo_ConfigDatabase::vepv.

Referenced by POA_Bonobo_ConfigDatabase__init().

void POA_Bonobo_ConfigDatabase__init | ( | PortableServer_Servant | servant,
|  | CORBA_Environment * | env |
| ) |  |  |

Definition at line 995 of file GNOME_Magnifier-skels.c.

References Bonobo_ConfigDatabase__classid, Bonobo_ConfigDatabase__iinterface, Bonobo_PropertyBag__classid, get_skel_small_Bonobo_ConfigDatabase(), POA_Bonobo_ConfigDatabase__fini(), and POA_Bonobo_PropertyBag__init().

void POA_Bonobo_ConfigDatabase__fini | ( | PortableServer_Servant | servant,
|  | CORBA_Environment * | env |
| ) |  |  |

Definition at line 1010 of file GNOME_Magnifier-skels.c.

References POA_Bonobo_PropertyBag__fini().

Referenced by POA_Bonobo_ConfigDatabase__init().

static ORBitSmallSkeleton get_skel_small_GNOME_Magnifier_ZoomRegion | ( | POA_GNOME_Magnifier_ZoomRegion * | servant,
|  | const char * | opname,
|  | gpointer * | m_data,
|  | gpointer * | impl |
| ) |  |  | `[static]`

Definition at line 1017 of file GNOME_Magnifier-skels.c.

References _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_dispose(), _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_getBrightness(), _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_getContrast(), _ORBIT_skel_small_GNOME_Magnifier_ZoomRegion_getMagFactor(), POA_GNOME_Magnifier_ZoomRegion__epv::dispose, POA_GNOME_Magnifier_ZoomRegion__epv::getBrightness, POA_GNOME_Magnifier_ZoomRegion__epv::getContrast, POA_GNOME_Magnifier_ZoomRegion__epv::getMagFactor, POA_GNOME_Magnifier_ZoomRegion__epv::getProperties, GNOME_Magnifier_ZoomRegion__iinterface, POA_GNOME_Magnifier_ZoomRegion__vepv::GNOME_Magnifier_ZoomRegion_epv, and POA_GNOME_Magnifier_ZoomRegion::vepv.

Referenced by POA_GNOME_Magnifier_ZoomRegion__init().

void POA_GNOME_Magnifier_ZoomRegion__init | ( | PortableServer_Servant | servant,
|  | CORBA_Environment * | env |
| ) |  |  |

Definition at line 1168 of file GNOME_Magnifier-skels.c.

References get_skel_small_GNOME_Magnifier_ZoomRegion(), GNOME_Magnifier_ZoomRegion__classid, GNOME_Magnifier_ZoomRegion__iinterface, and POA_GNOME_Magnifier_ZoomRegion__fini().

void POA_GNOME_Magnifier_ZoomRegion__fini | ( | PortableServer_Servant | servant,
|  | CORBA_Environment * | env |
| ) |  |  |

Definition at line 1181 of file GNOME_Magnifier-skels.c.

Referenced by POA_GNOME_Magnifier_ZoomRegion__init().

static ORBitSmallSkeleton get_skel_small_GNOME_Magnifier_Magnifier | ( | POA_GNOME_Magnifier_Magnifier * | servant,
|  | const char * | opname,
|  | gpointer * | m_data,
|  | gpointer * | impl |
| ) |  |  | `[static]`

Definition at line 1188 of file GNOME_Magnifier-skels.c.

References POA_GNOME_Magnifier_Magnifier__epv::_get_SourceDisplay, POA_GNOME_Magnifier_Magnifier__epv::_get_TargetDisplay, _ORBIT_skel_small_GNOME_Magnifier_Magnifier__get_SourceDisplay(), _ORBIT_skel_small_GNOME_Magnifier_Magnifier__get_TargetDisplay(), _ORBIT_skel_small_GNOME_Magnifier_Magnifier__set_SourceDisplay(), _ORBIT_skel_small_GNOME_Magnifier_Magnifier__set_TargetDisplay(), POA_GNOME_Magnifier_Magnifier__epv::_set_SourceDisplay, POA_GNOME_Magnifier_Magnifier__epv::_set_TargetDisplay, GNOME_Magnifier_Magnifier__iinterface, POA_GNOME_Magnifier_Magnifier__vepv::GNOME_Magnifier_Magnifier_epv, and POA_GNOME_Magnifier_Magnifier::vepv.

Referenced by POA_GNOME_Magnifier_Magnifier__init().

void POA_GNOME_Magnifier_Magnifier__init | ( | PortableServer_Servant | servant,
|  | CORBA_Environment * | env |
| ) |  |  |

Definition at line 1369 of file GNOME_Magnifier-skels.c.

References get_skel_small_GNOME_Magnifier_Magnifier(), GNOME_Magnifier_Magnifier__classid, GNOME_Magnifier_Magnifier__iinterface, and POA_GNOME_Magnifier_Magnifier__fini().

void POA_GNOME_Magnifier_Magnifier__fini | ( | PortableServer_Servant | servant,
|  | CORBA_Environment * | env |
| ) |  |  |

Definition at line 1382 of file GNOME_Magnifier-skels.c.

Referenced by POA_GNOME_Magnifier_Magnifier__init().